Updated Applications

  • Joobi eCommerce Apps and jDefender
Release Date: June 23, 2016

What's New

  • New Feature: Vendor Contact detail tag added in the invoice to display vendor information
  • New Feature: Ability to add custom class in Joobi widgets so you can style them individually
  • Improvement: The system will now check if multiple shipping is enabled in the cart before multi-cart is activated.
  • Improvement: Subscription "Recurring" functionality to give proper error message if user enters a trial period lower than the subscription period.
  • Improvement: Vendor types is now connected to the vendor program so you can assign different program for different type of vendors.
  • Improvement: For Paypal Adaptive Payment, if vendor provides an unverified paypal email- the full amount will be transferred to store admin.
  • Improvement: For Multi-language site, the system will check for untranslated strings and allows you to sync/add them in the vocabulary so you can translate them easily.
  • Improvement: Invoice template can now be cloned for customization.
  • Improvement: When you save Security Preference in jDefender and you did not setup properly -it will not block you as an admin.
  • Improvement: Product promotion can now be displayed in Joomla modules.

Bug Fixed

  • Fixed: Commission was not calculated due to vendor was not assigned to the program after registration
  • Fixed: Split payment with a discount creates an error because the system is trying to deduct a discount value bigger than the original price
  • Fixed: Vendor types has a wrong access level which hides them from the frontend.
  • Fixed: Adding attribute values result to a page error in the frontend
  • Fixed: Vendor area dashboard standalone version does not load until the bottom page due to Javascript issue (vendor area in site is not affected).
  • Fixed: Creating "Zones" in the vendor dashboard result to an SQL error.

Warning: This update has some changes in the theme file user/theme/site/joomla30/js/themescript.1.2.js. If you cannot update your cloned theme, please copy the original file from the above path and update your cloned theme "themescript.1.2.js


How do I update?

Requirements: You need jApps 2.5 to access the new released version. If you are using a version lower than jApps 2.5, please browse the change-logs and locate the version you are using and follow each individual update guide.

We always recommend to do a backup before doing any changes in your production website and ensure you can easily recover your backup.

If you meet the above requirements, just wait for an automated email from your website notifying you about the new update (usually it takes a few hours, up to a week after the initial release) so you get a more stable build.

However if you can't wait to get your hands on the new enhancements, just click "Check" button from jApps App manager page.

You'll need an active subscription to access the release server. If have an expired subscription, please renew your membership.